Skip to content
Platform / Docs / QR code API

API Reference

QR code API

GET qrcode-api ID 5

Generate a QR code image from text or a URL.

GET https://xiaoapis.com/api/qrcode/get

Overview

  • 文本生成二维码
  • 返回图片数据/地址

Use cases

  • 活动获客
  • 设备绑定
  • 链接分享
Conventions
  • Gateway · https://xiaoapis.com
  • Auth · send key (query or JSON body, as this API specifies)
  • Response · JSON. Check the business code and the HTTP status, not only HTTP 200

Authentication

Send the platform API key (query parameter key or JSON field key, as this page specifies). Create one in API key management.

GET https://xiaoapis.com/api/qrcode/get
Content-Type: application/json

{
  "key": "YOUR_API_KEY"
}

FAQ

如何生成二维码?

传入要编码的文本/URL 与 API Key,按文档获取二维码结果。

能生成什么内容?

常见为字符串或链接;过长内容可能受限制。

返回格式?

以文档为准,可能是图片 URL 或可渲染数据。

是否需要登录用户端?

服务端持有 Key 调用即可。

适合高并发吗?

受账号 QPS 限制,可在控制台查看。

Full console doc (with the debugger):/doc/5